module structures;

struct ServerInfo {
    string name;
}

struct WebHost {
    string[] addresses;
    ushort http = 0;
    ushort https = 0;
    string cert;
    string key;
    string data;
    string title;
    int loglevel = -1;
    int logoutput = 0;
    string logfile;
}

struct GroupDB {
    string name;
    string comment;
}

struct ListDB {
    string name;
    string comment;
}

struct NumberDB {
    string number;
    string group;
    string list;
    int all_cc;
    int white_cc;
    int black_cc;
    string comment;
}

struct SMSDB {
    int id;
    string date;
    string to;
    string from;
    string text;
}

struct USSDDB {
    int id;
    string date;
    string to;
    int type;
    string type_comment;
    string text;
}
